<!DOCTYPE html >
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css"
          integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
            integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"
            integrity="sha384-smHYKdLADwkXOn1EmN1qk/HfnUcbVRZyYmZ4qpPea6sjB/pTJ0euyQp0Mk8ck+5T"
            crossorigin="anonymous"></script>

    <meta charset="UTF-8">
    <link rel="stylesheet" type="text/css" th:href="@{/css/custom.css}"/>
    <title>Home</title>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <a class="navbar-brand" href="/">Disimx</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
                <a class="nav-link" href="/prof/courses" th:text="#{courses}"></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
        <span class="nav-link" style="color: white" th:text="#{changeLang}"></span>
        <select id="locales">
            <option value=""></option>
            <option value="en" th:text="#{lang_eng}"></option>
            <option value="it" th:text="#{lang_it}"></option>
        </select>
    </div>
</nav>
<div class="container-fluid">
    <div class="row">
        <div class="col-lg-12" style="background-color: #672e1d;">
            <h1 class="h1" th:text="#{universityOf_h1}"></h1>
            <h2 class="h2_index" th:text="#{universityOf_h2}"></h2>
        </div>
    </div>
    <div class="col-lg-12" style="background-color: #FFFFF0">
        <h3 class="h3" th:text="#{courses}"></h3>
        <p class="index_paragraph" th:text="#{headline_p}"></p>
    </div>
    <div class="row">
        <div class="col-lg-4 index_course_div_main" th:each="course : ${courses}">
            <div class="index_course_div">
                <a th:href="@{'/prof/course/modify?courseId='+${course.id}}">
                    <h4 class="h4" th:text="${course.name}"></h4>
                    <p class="index_paragraph" th:text="${#strings.abbreviate(course.description,250)}"></p>
                </a>
            </div>
        </div>
    </div>
    <div class="row" style="background-color: #252321; min-height: 150px;">
        <div class="col-md-12" style="padding-top: 50px;">
            <a href="mailto:info@n-rent.com">
                <h6 class="h6" style="text-align: center; color: white; margin-bottom: 10px">info@disimx.com</h6></a>
            <a href="http://www.n-rent.com/Impressum.pdf">
                <h6 class="h6" style="text-align: center; font-size: 16px; color: white;">Copyright 2018-2019</h6></a>
            <h6 class="h6"
                style="text-align: center; font-size: 20px; color: white; margin-bottom: 15px; margin-top: 10px">© 2018
                Disimx</h6>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function () {
        $("#locales").change(function () {
            var selectedOption = $('#locales').val() + " ";
            if (selectedOption != '') {
                if (document.location.href.indexOf('lang=') != -1)
                    var url = document.location.href.replace("lang=", "lang=" + selectedOption);
                else if (document.location.href.indexOf('?') != -1) {
                    var url = document.location.href + "&lang=" + selectedOption;
                } else {
                    var url = document.location.href + "?lang=" + selectedOption;
                }
                window.location.href = url;
            }
        });
    });
</script>
</body>
</html>